#version 330 core
layout (location = 0) in vec3 aPos;
layout (location = 2) in vec2 texCoords;
layout (location = 3) in mat4 aInstanceMatrix;

out vec2 TexCoords;

uniform mat4 projectionView; //projection*View 
uniform mat4 movingMatrix;

void main()
{
	
    TexCoords = texCoords;
	gl_Position = projectionView * aInstanceMatrix * movingMatrix * vec4(aPos, 1.0f); 
	//gl_Position = projectionView * (aInstanceMatrix * vec4(4.0f,-4.f,0.f,1.f)) *  vec4(aPos, 1.0f); 
}