#version 410 core
layout (location = 0) in vec3 position;
out vec3 TexCoords;


uniform mat4 projectionMatrix;


void main()
{
    vec4 tempPos =   projectionMatrix * vec4(position, 1.0);  
	gl_Position = tempPos.xyww;
    TexCoords = position;
}  